#pragma once
#include "BCMenu.h"
#include "afxwin.h"

// CMenuDlg 对话框
#define ON TRUE
#define OFF FALSE

class CMenuDlg : public CDialog
{
	DECLARE_DYNAMIC(CMenuDlg)

public:
	CMenuDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CMenuDlg();

// 对话框数据
	enum { IDD = IDD_DLG_MENU };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	void ShowSelWnd();
	void CloseVideo();
	CButton m_ctlLoopBtn;

	void SetBtnVoiceStatus();
private:
 	BCMenu m_menu3;
 	BCMenu m_menu2;
// 	int m_iIndexOpenAudio;
// 	CString m_strKey;
// 	int m_iDlgShow;
private:
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedBtnCloseVideo();
	afx_msg void OnBnClickedBtnOpenaudio();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedBtnRightctrl();
	virtual BOOL OnInitDialog();
	afx_msg void OnViewwnd1();
	afx_msg void OnViewwnd2();
	afx_msg void OnViewwnd3();
	afx_msg void OnViewwnd4();
	afx_msg void OnViewwnd5();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnMenu332783Devctrl();
	afx_msg void OnMenu332784TourScan();
	afx_msg void OnMenu332785UpDownload();
	afx_msg void OnMenu332793Codeparam();
	afx_msg void OnMenu3Localrecord();
	afx_msg void OnMenu332796Fileload();
	afx_msg void OnMenu332804Voice();
	afx_msg void OnMenu332806DevConfig();
	afx_msg void OnMenu332822Snap();
	afx_msg void OnMenu332848Zoomrect();
	afx_msg void OnBnClickedBtnPlayloop();
	CComboBox m_ctlLoopElapse;
	afx_msg void OnCbnEditchangeCbLoop();
	
	CButton m_btnVoice;
};
